<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>libgdamm: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">libgdamm
   &#160;<span id="projectnumber">4.99.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceGnome.html">Gnome</a></li><li class="navelem"><a class="el" href="namespaceGnome_1_1Gda.html">Gda</a></li><li class="navelem"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Config</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Gnome::Gda::Config Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classGnome_1_1Gda_1_1Config.html">Gnome::Gda::Config</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#ab14931670837728e49bb5ca88fb16db5">add_destroy_notify_callback</a>(void *data, func_destroy_notify func) const </td><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a6163f71eb9c906e3eee4bd11e06d2256">can_modify_system_config</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Gnome::Gda::Config</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a988750dc7f4f2166fb724ac6d2150d94">Config</a>(Config&amp;&amp; src) noexcept</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Gnome::Gda::Config</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html#ab630f9d613a7c246d7c22f9b7d9418cf">Config</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Gnome::Gda::Config</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#adc6c1e8f094275114d6e2c3ef3a33f98">connect_property_changed</a>(const Glib::ustring &amp;property_name, const sigc::slot&lt; void &gt; &amp;slot)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a896d7773c00bd2dcd310c861282ee8d1">connect_property_changed_with_return</a>(const Glib::ustring &amp;property_name, const sigc::slot&lt; void &gt; &amp;slot)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#ace6b5aedc84260604ba591df58f45b2e">DestroyNotify</a> typedef</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html#ac1961dc97c4ee0e623f84958b3ab6c9d">dsn_needs_authentication</a>(const Glib::ustring&amp; dsn_name)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Gnome::Gda::Config</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a6e9e13b75f116c20212d318204ce8ea3">freeze_notify</a>()</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a3338954d7565534bd945290b798e13ed">func_destroy_notify</a> typedef</td><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html#af56c2db8ac6e2b0505c93609c98da0cc">get</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Gnome::Gda::Config</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#a0e6581bcbcc6197cca07df24bb91c492">get_data</a>(const QueryQuark &amp;key)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a739788847a2c0359653d02738902eac4">get_dsn_info</a>(const Glib::ustring&amp; dsn_name)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Gnome::Gda::Config</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html#af9fc60671d82d812dd019d89fa807998">get_nb_dsn</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Gnome::Gda::Config</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a5f894c9c36ad391fdc85552af67a8530">get_property</a>(const Glib::ustring &amp;property_name, PropertyType &amp;value) const </td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a5e30750441b92f0246c9d4ece95fc8a0">get_property_value</a>(const Glib::ustring &amp;property_name, Glib::ValueBase &amp;value) const </td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a22f64d4c99627cd52c5e2754efc0ba78">get_provider</a>(const Glib::ustring&amp; provider_name)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Gnome::Gda::Config</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a3d80c8258b9102c66ccb8daed49e6a0a">get_type</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Gnome::Gda::Config</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a8682ae1b8d6a33a6c89e04b893b191f4">gobj</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Gnome::Gda::Config</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html#ad241d321edb90054bb6dfbe74574db10">gobj</a>() const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Gnome::Gda::Config</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a14746d8d642a927b61ccdbe5293f72e9">gobj_copy</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Gnome::Gda::Config</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a9b2a5eb93102f1849e5419016e22a15f">Glib::Object::gobj_copy</a>() const </td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a3faafb14c4f0ca60fbf0f5f5c4d549d0">initialize</a>(GObject *castitem)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a44ddc123cd98ed0083aa06364365c8d3">initialize_move</a>(GObject *castitem, Glib::ObjectBase *previous_wrapper)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a2c9fed1bfcab0aab3402790b963bc169">list_dsn</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Gnome::Gda::Config</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a51c09ed94f02042e338ebed0f0aeeacf">list_providers</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Gnome::Gda::Config</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#af2e23cfe7adc1ca844a3350bbac557cb">notify_callbacks</a>()</td><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#a0127f43140e01d6a6731d42f9419be27">Object</a>(const Object &amp;)=delete</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#a473ee068b40d5c949cee2c721d720c9a">Object</a>(Object &amp;&amp;src) noexcept</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#ad43f7c5ad0336e1eb3af622392a112eb">Object</a>()</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#a6d72588496bd7ac03f72420021fb94a5">Object</a>(const Glib::ConstructParams &amp;construct_params)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#a6f490eeaeb71db673c36799a0f729be5">Object</a>(GObject *castitem)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#aaf0e140e7192dcecddd9f57c46825434">ObjectBase</a>(const ObjectBase &amp;)=delete</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a27d3451d9ca28d6a2f00838d7c56d545">ObjectBase</a>()</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#ad4ef18214894c6874579313ab21d1018">ObjectBase</a>(const char *custom_type_name)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a3d59b4d85b0ee72a727e6b2e1b31a2ff">ObjectBase</a>(const std::type_info &amp;custom_type_info)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a7e2e177061f6a6e09c4cf3da49c6dfd3">ObjectBase</a>(ObjectBase &amp;&amp;src) noexcept</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a0c7ff7b9c8d5c2e86125d986d641caad">operator=</a>(Config&amp;&amp; src) noexcept</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Gnome::Gda::Config</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#a7081561a5684709718fdf8c1875c56c0">Glib::Object::operator=</a>(const Object &amp;)=delete</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#a2855131d475e54294dc34573f12ca9a0">Glib::Object::operator=</a>(Object &amp;&amp;src) noexcept</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a15f8834a320eac98dc1c1b8a9a2fd4c1">Glib::ObjectBase::operator=</a>(const ObjectBase &amp;)=delete</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a2e968f118314ba4d5debfd2850d18003">Glib::ObjectBase::operator=</a>(ObjectBase &amp;&amp;src) noexcept</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a7494fbad23a65932ff1457d00d4edaf5">sigc::trackable::operator=</a>(const trackable &amp;src)</td><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a400b5799372238211a4437844d923a4e">sigc::trackable::operator=</a>(trackable &amp;&amp;src) noexcept</td><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a69fb2a20a5d85452bf716aa6f34d8bca">property_system_filename</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Gnome::Gda::Config</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a72995aac1045c806353f80ee6a468118">property_system_filename</a>() const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Gnome::Gda::Config</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a34487602237d63b2284e968ecbdc3831">property_user_filename</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Gnome::Gda::Config</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a493c1e20b5a65d297612d1e8486ac075">property_user_filename</a>() const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Gnome::Gda::Config</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a896a8a5db20043ea82956e3ef4b9c4ae">reference</a>() const </td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#aada5b50844bda7ee02bed0ae2a715c00">remove_data</a>(const QueryQuark &amp;quark)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a8b9dffa8a50ff13ba33e6c7f10468e2b">remove_destroy_notify_callback</a>(void *data) const </td><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#afff7a375a862f3f899daaa99710122fa">set_data</a>(const Quark &amp;key, void *data)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#a1febe3bae2dd71756e98e523cd33c1b4">set_data</a>(const Quark &amp;key, void *data, DestroyNotify notify)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#ad37844f7ea2c0091a22d011e04c48820">set_property</a>(const Glib::ustring &amp;property_name, const PropertyType &amp;value)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#aab599d3eec4b4a9ddc95ccdc6100053d">set_property_value</a>(const Glib::ustring &amp;property_name, const Glib::ValueBase &amp;value)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a29ebaa10aef1604551ffcf5d9790b414">signal_dsn_added</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Gnome::Gda::Config</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a55a690e6540928812c8b63fa03855a52">signal_dsn_changed</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Gnome::Gda::Config</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html#acc9b066345330c7010deec48ac7204e5">signal_dsn_removed</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Gnome::Gda::Config</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a356d69a8355f0ba7403ee9b6c7c1e56e">signal_dsn_to_be_removed</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Gnome::Gda::Config</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#ab454f71bd74403b0cc46d3cbbedd6b0e">steal_data</a>(const QueryQuark &amp;quark)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a1bd8ea7bd8c4084ade6b3c27dddf06a4">thaw_notify</a>()</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a09f5b2fe24c2ac1da8322ed0ea1553ea">trackable</a>()</td><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a7efefbcab4645648a366da3439242198">trackable</a>(const trackable &amp;src)</td><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a9a6ff5a4d7c51cede2117525f470f96a">trackable</a>(trackable &amp;&amp;src) noexcept</td><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a3234b8ffb2a35b927e2978c8f3bfbfe3">unreference</a>() const </td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a9cc59aee36fd6f4f7e2e8a2fb2661993">wrap</a>(GdaConfig* object, bool take_copy=false)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Gnome::Gda::Config</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#ae4dea9a8dc611d6e4400a5b6a3cb4e7f">Glib::Object::wrap</a>(GObject *object, bool take_copy=false)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a74a4a3d121fb1f6d797c8bc38c8e4b2f">~Config</a>() noexcept</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Gnome::Gda::Config</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#aca9f9705c065c26621b7745d40f5b344">~Object</a>() noexcept</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#ae56ec45e9ebeaacf24be4fb54ed2eea3">~ObjectBase</a>() noexcept=0</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a75587da09e30031db7a2519843f1f4fb">~trackable</a>()</td><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 4 2015 15:04:40 for libgdamm by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.9.1
</small></address>
</body>
</html>
